import { AbstractSpinnerService } from '@wm/core';
import { FileBrowserComponent } from './file-browser.component';
import * as i0 from "@angular/core";
export interface FileContent {
    name: string;
    path: string;
    blob: any;
}
export declare class FileSelectorService {
    private spinnerService;
    static readonly SERVICE_NAME = "FileSelectorService";
    private fileBrowserComponent;
    constructor(spinnerService: AbstractSpinnerService);
    selectAudio(multiple?: boolean): Promise<any>;
    setFileBrowser(f: FileBrowserComponent): void;
    selectFiles(multiple?: boolean, fileTypeToSelect?: string): Promise<FileContent[]>;
    selectImages(multiple?: boolean): Promise<FileContent[]>;
    selectVideos(multiple?: boolean): Promise<FileContent[]>;
    /**
     * Converts the file to blob using filepath
     * @param filePaths, array of file paths
     * @returns fileObj having name, path, content
     */
    private getFiles;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileSelectorService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FileSelectorService>;
}
